 package com.huimv.acquisition.controller;

 import com.huimv.acquisition.entity.SowRankTableEntity;
 import com.huimv.acquisition.result.R;
 import com.huimv.acquisition.service.SowRankTableService;
 import com.huimv.acquisition.utils.PageUtils;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;

 import java.util.Arrays;
 import java.util.Map;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-04 17:47:18
  */
 @CrossOrigin
@RestController
@RequestMapping("management/sowranktable")
public class SowRankTableController {
    @Autowired
    private SowRankTableService sowRankTableService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = sowRankTableService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		SowRankTableEntity sowRankTable = sowRankTableService.getById(id);

        return R.ok().put("sowRankTable", sowRankTable);
    }



    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody SowRankTableEntity sowRankTable){
		sowRankTableService.save(sowRankTable);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody SowRankTableEntity sowRankTable){
		sowRankTableService.updateById(sowRankTable);
        return R.ok();
    }








    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		sowRankTableService.removeByIds(Arrays.asList(ids));
        return R.ok();
    }

}
